Subject: Re: Changes to PPC Linux required for GCC 3.1

From: Corey Minyard <[email-masked]>
Date: Thu, 06 Dec 2001 23:22:56 -0600

Tom Rini wrote:

>On Wed, Dec 05, 2001 at 06:59:14PM -0600, Corey Minyard wrote:
>
>>Tom Rini wrote:
>>
>>>I think the reason this wasn't applied is that Paul said something about
>>>thiws being horriyingly ugly.  Corey, can you post a patch that changes
>>>RELOC(x) into a function and nothing else? :)
>>>
>>My original patch has the function.
>>
>
>Your patch had other fixes too tho.
>
I can take the patch and delete the files that don't pertain.  I'll wait
until we are sure this is the way the maintianers want to do it, though.

>
>
>>I prefer the macro, it may be a
>>little uglier but it removes a dependency between the include file and
>>the source.
>>
>
>Er, say what?  The macro is in the include file now...
>
I meant the include file and the C file.

-Corey

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/